## org.apache.commons.collections.map
Class AbstractHashedMap.HashIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  AbstractHashedMap.EntrySetIterator, AbstractHashedMap.HashMapIterator, AbstractHashedMap.ValuesIterator

Enclosing class:
  AbstractHashedMap

    protected abstract static class AbstractHashedMap.HashIterator

extends java.lang.Object
implements java.util.Iterator

Base Iterator

Field Summary
`protected int` `expectedModCount` The modification count expected
`protected int` `hashIndex` The current index into the array of buckets
`protected AbstractHashedMap.HashEntry` `last` The last returned entry
`protected AbstractHashedMap.HashEntry` `next` The next entry
`protected AbstractHashedMap` `parent` The parent map

Constructor Summary
`protected` `AbstractHashedMap.HashIterator(AbstractHashedMap parent)`

Method Summary
`protected AbstractHashedMap.HashEntry` `currentEntry()`
`boolean` `hasNext()`
`protected AbstractHashedMap.HashEntry` `nextEntry()`
`void` `remove()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`next`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

### hashIndex

    protected int hashIndex

  The current index into the array of buckets

### last

    protected AbstractHashedMap.HashEntry last

  The last returned entry

### next

    protected AbstractHashedMap.HashEntry next

  The next entry

### expectedModCount

    protected int expectedModCount

  The modification count expected

Constructor Detail

### AbstractHashedMap.HashIterator

    protected AbstractHashedMap.HashIterator(AbstractHashedMap parent)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### nextEntry

    protected AbstractHashedMap.HashEntry nextEntry()

### currentEntry

    protected AbstractHashedMap.HashEntry currentEntry()

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.